org.eclipse.viatra.query.runtime.rete.recipes

## Interface Mask

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    MaskImpl

      public interface Mask
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Mask'. A mask defines the set of tuple variables that need to be taken into consideration for operations.

  The following features are supported:

  - `Source Indices`
  - `Source Arity`
  See Also:
    `RecipesPackage.getMask()`
  Generated:
  Model:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSourceArity()` Returns the value of the 'Source Arity' attribute.
    `org.eclipse.emf.common.util.EList<java.lang.Integer>` | `getSourceIndices()` Returns the value of the 'Source Indices' attribute list.
    `void` | `setSourceArity(int value)` Sets the value of the '`Source Arity`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### getSourceIndices

          org.eclipse.emf.common.util.EList<java.lang.Integer> getSourceIndices()

      Returns the value of the 'Source Indices' attribute list. The list contents are of type `Integer`. The indices that are relevant for tuple operations.
      Returns:
        the value of the 'Source Indices' attribute list.
      See Also:
        `RecipesPackage.getMask_SourceIndices()`
      Generated:
      Model:
        unique="false" dataType="org.eclipse.viatra.query.runtime.rete.recipes.Index"

    - #### getSourceArity

          int getSourceArity()

      Returns the value of the 'Source Arity' attribute. The arity of tuples.
      Returns:
        the value of the 'Source Arity' attribute.
      See Also:
        `setSourceArity(int)`, `RecipesPackage.getMask_SourceArity()`
      Generated:
      Model:
        unique="false"

    - #### setSourceArity

          void setSourceArity(int value)

      Sets the value of the '`Source Arity`' attribute.
      Parameters:
        `value` - the new value of the 'Source Arity' attribute.
      See Also:
        `getSourceArity()`
      Generated: